% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ddmatrix_bind.r
\name{binds}
\alias{binds}
\alias{rbind.ddmatrix}
\alias{cbind.ddmatrix}
\title{Row and Column binds for Distributed Matrices}
\usage{
\method{rbind}{ddmatrix}(..., ICTXT = .pbd_env$ICTXT,
  deparse.level = 1)

\method{cbind}{ddmatrix}(..., ICTXT = .pbd_env$ICTXT,
  deparse.level = 1)
}
\arguments{
\item{...}{vectors, matrices, or distributed matrices.}

\item{ICTXT}{BLACS communicator number for return object.}

\item{deparse.level}{integer controlling the construction of labels in the
case of non-matrix-like arguments. Does nothing for distributed matrices.}
}
\value{
Returns a vector, matrix, or distributed matrix, depending on input.
}
\description{
Row and column binds.
}
\details{
The \code{...} list of arguments can be vectors, matrices, or distributed
matrices so long as non-distributed objects are not used with distributed
objects. This kind of mixing-and-matching will lead to chaos. Currently no
check is performed to prevent the user from this mixing-and-matching for
performance reasons (it is slow enough already).
}
\section{Methods}{
 \describe{ \item{list("signature(... = \"ANY\")")}{an R
object.} }
}

\keyword{Methods}
